﻿using System;
using System.Windows;
using SciChart.Charting.Model.DataSeries;

namespace VerticalBoxAnnotationExample
{
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            Loaded += OnLoaded;
        }

        private void OnLoaded(object sender, RoutedEventArgs e)
        {
            var dataSeries = new XyDataSeries<double, double>();

            lineRenderSeries.DataSeries = dataSeries;

            for (double x = 0; x < 10; x += 0.1)
            {
                dataSeries.Append(x, Math.Sin(x));
            }

            sciChart.ZoomExtents();
        }
    }
}